Package org.eclipse.jface.viewers.deferred

# Interface IConcurrentModelListener

public interface IConcurrentModelListener
Interface for objects that can listen to changes in an IConcurrentModel. Elements in an IConcurrentModel are unordered.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Object[] added)`
Called when elements are added to the model
`void`
`remove(Object[] removed)`
Called when elements are removed from the model
`void`
`setContents(Object[] newContents)`
Notifies the receiver about the complete set of elements in the model.
`void`
`update(Object[] changed)`
Called when elements in the model have changed

## Method Details

### add

void add(Object[] added)
Called when elements are added to the model

Parameters:
  `added` - elements added to the model

### remove

void remove(Object[] removed)
Called when elements are removed from the model

Parameters:
  `removed` - elements removed from the model

### update

void update(Object[] changed)
Called when elements in the model have changed

Parameters:
  `changed` - elements that have changed

### setContents

void setContents(Object[] newContents)
Notifies the receiver about the complete set of elements in the model. Most models will not call this method unless the listener explicitly requests it by calling `IConcurrentModel.requestUpdate`

Parameters:
  `newContents` - contents of the model